RelationshipControllerGetRelationshipElements Method |
GET /Relationship/Elements/{id}
Gets all the relationship elements for a specified structure.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Elements")]
public IActionResult GetRelationshipElements(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Elements")>
Public Function GetRelationshipElements (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Elements")]
IActionResult^ GetRelationshipElements(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Elements")>]
member GetRelationshipElements :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the structure to get the relationship elements for. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
ElementData objects containing the relationship data, or a status code indicating the problem.
See Also